OpenVDB 5.1.0

Public Types | Public Member Functions | Public Attributes | List of all members
SetGroupOp< PointDataTree, Member > Struct Template Reference

Set membership on or off for the specified group. More...

`#include <PointGroup.h>`

## Public Types
using | LeafManagerT = typename tree::LeafManager< PointDataTree >
using | GroupIndex = AttributeSet::Descriptor::GroupIndex

## Public Member Functions
| SetGroupOp (const AttributeSet::Descriptor::GroupIndex &index)
void | operator() (const typename LeafManagerT::LeafRange &range) const

## Public Attributes
const GroupIndex & | mIndex

## Detailed Description

### template<typename PointDataTree, bool Member>
struct openvdb::v5_1::points::point_group_internal::SetGroupOp< PointDataTree, Member >

Set membership on or off for the specified group.

## Member Typedef Documentation

## ◆ GroupIndex

using GroupIndex = AttributeSet::Descriptor::GroupIndex

## ◆ LeafManagerT

using LeafManagerT = typename tree::LeafManager<PointDataTree>

## Constructor & Destructor Documentation

## ◆ SetGroupOp()

SetGroupOp | ( | const AttributeSet::Descriptor::GroupIndex & | index | ) |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const typename LeafManagerT::LeafRange & | range | ) | const
| inline

## Member Data Documentation

## ◆ mIndex

const GroupIndex& mIndex

The documentation for this struct was generated from the following file:

- PointGroup.h